Bug 1399506 - perl-File-Find-Rule-Age-0.302-5.fc26 FTBFS randomly
Summary: perl-File-Find-Rule-Age-0.302-5.fc26 FTBFS randomly
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-File-Find-Rule-Age
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Orling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 08:39 UTC by Petr Pisar
Modified: 2019-05-03 11:34 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 106579 None None None 2016-11-29 08:39 UTC

Description Petr Pisar 2016-11-29 08:39:33 UTC
perl-File-Find-Rule-Age-0.302-5.fc26 fails to build sometimes because there is a race condition in the tests:

t/02-created.t ... skipped: Long running tests are unwanted
#   Failed test 'modified_since now (DateTime::Duration)'
#   at t/02-modified.t line 66.
#     Structures begin differing at:
#          $got->[0] = Does not exist
#     $expected->[0] = 'now'
# []
#   Failed test 'modified_before lastday (DateTime::Duration)'
#   at t/02-modified.t line 167.
#     Structures begin differing at:
#          $got->[0] = 'lastday'
#     $expected->[0] = 'yesterday'
# [
#   'lastday',
#   'yesterday'
# ]
# Looks like you failed 2 tests of 24.
t/02-modified.t ..
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/24 subtests

Comment 1 Fedora End Of Life 2017-02-28 10:41:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:17:59 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Tim Orling 2018-07-26 06:40:15 UTC
Petr/Jitka have we seen any recent FTBFS on this package (no failures in last 14 builds on koji)? If so, we can either skip the tests that are failing or retire it. If not, perhaps infrastructure changes (or other) have fixed an underlying issue. I have no reason to believe upstream will fix the tests.

Comment 4 Tim Orling 2018-07-26 08:10:41 UTC
https://apps.fedoraproject.org/koschei/package/perl-File-Find-Rule-Age?

Two failures.

Comment 5 Ben Cotton 2018-11-27 14:55:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-02 20:15:30 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.